diff --git python-m2ext/python-m2ext.spec python-m2ext/python-m2ext.spec.tmp
index ec8a393da3..5e07b63339 100644
--- python-m2ext/python-m2ext.spec
+++ python-m2ext/python-m2ext.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-m2ext
 Version:        0.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        M2Crypto Extensions
 
 Group:          Development/Languages
@@ -20,16 +20,23 @@ BuildRequires:  swig
 BuildRequires:  pkgconfig
 BuildRequires:  m2crypto
 
-Requires:       m2crypto
-
 %filter_provides_in %{python_sitearch}/%{modname}/_m2ext.so
 %filter_setup
 
-%description
-This package contains some extended functions which are not (yet)
-available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>
+%global _description\
+This package contains some extended functions which are not (yet)\
+available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>\
 trunk.
 
+%description %_description
+
+%package -n python2-m2ext
+Summary: %summary
+Requires:       m2crypto
+%{?python_provide:%python_provide python2-m2ext}
+
+%description -n python2-m2ext %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -48,7 +55,7 @@ fi
 chmod 755 %{buildroot}/%{python_sitearch}/%{modname}/_m2ext.so
 
 
-%files
+%files -n python2-m2ext
 %doc README.rst LICENSE
 
 %{python_sitearch}/%{modname}
@@ -56,6 +63,10 @@ chmod 755 %{buildroot}/%{python_sitearch}/%{modname}/_m2ext.so
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-14
+- Python 2 subpackage renamed to python2-m2ext
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mailer/python-mailer.spec python-mailer/python-mailer.spec.tmp
index cb102997ef..94cc633cb9 100644
--- python-mailer/python-mailer.spec
+++ python-mailer/python-mailer.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{srcname}
 Version:        0.8.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        A module that simplifies sending email
 
 License:        MIT
@@ -13,9 +13,17 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
+%global _description\
 Simple front end to the smtplib and email modules, to simplify sending email.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 
@@ -25,11 +33,15 @@ Simple front end to the smtplib and email modules, to simplify sending email.
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-%{srcname}
 %{python2_sitelib}/%{srcname}.py*
 %{python2_sitelib}/%{srcname}*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-7
+- Python 2 subpackage renamed to python2-mailer
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mako/python-mako.spec python-mako/python-mako.spec.tmp
index 15a68ae694..39bacc7469 100644
--- python-mako/python-mako.spec
+++ python-mako/python-mako.spec.tmp
@@ -14,7 +14,7 @@
 
 Name: python-mako
 Version: 1.0.6
-Release: 4%{?dist}
+Release: 5%{?dist}
 BuildArch: noarch
 
 # Mostly MIT, but _ast_util.py is Python licensed.
@@ -32,8 +32,6 @@ BuildRequires: python-markupsafe
 BuildRequires: python-beaker
 BuildRequires: python-nose
 BuildRequires: python-mock
-Requires: python-markupsafe
-Requires: python-beaker
 
 %if 0%{?with_python3}
 BuildRequires: python3-devel
@@ -47,16 +45,26 @@ BuildRequires: python3-nose
 %endif
 %endif # if with_python3
 
-%description
-Mako is a template library written in Python. It provides a familiar, non-XML
-syntax which compiles into Python modules for maximum performance. Mako's
-syntax and API borrows from the best ideas of many others, including Django
-templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
-Python (i.e. Python Server Page) language, which refines the familiar ideas of
-componentized layout and inheritance to produce one of the most straightforward
-and flexible models available, while also maintaining close ties to Python
+%global _description\
+Mako is a template library written in Python. It provides a familiar, non-XML\
+syntax which compiles into Python modules for maximum performance. Mako's\
+syntax and API borrows from the best ideas of many others, including Django\
+templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded\
+Python (i.e. Python Server Page) language, which refines the familiar ideas of\
+componentized layout and inheritance to produce one of the most straightforward\
+and flexible models available, while also maintaining close ties to Python\
 calling and scoping semantics.
 
+%description %_description
+
+%package -n python2-mako
+Summary: %summary
+Requires: python-beaker
+Requires: python-markupsafe
+%{?python_provide:%python_provide python2-mako}
+
+%description -n python2-mako %_description
+
 %package doc
 Summary: Documentation for the Mako template library for Python
 Group: Documentation
@@ -142,7 +150,7 @@ popd
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-mako
 %defattr(-,root,root,-)
 %license LICENSE
 %doc CHANGES README.rst examples
@@ -163,6 +171,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.6-5
+- Python 2 subpackage renamed to python2-mako
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mandrill/python-mandrill.spec python-mandrill/python-mandrill.spec.tmp
index 7f62d17584..627c2afb56 100644
--- python-mandrill/python-mandrill.spec
+++ python-mandrill/python-mandrill.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-mandrill
 Version:        1.0.51
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        A CLI client and API library for Mandrill email service
 
 Group:          Development/Languages
@@ -12,12 +12,20 @@ Source0:        https://pypi.python.org/packages/source/m/%{tarball_name}/%{tarb
 Source1:		LICENSE_MANDRILL
 BuildArch:      noarch
 BuildRequires:  python2-devel python-setuptools
-Requires:       python-ujson python-docopt python-requests
 
-%description
-A Python API client and suite of CLI-based tools for the Mandrill email
+%global _description\
+A Python API client and suite of CLI-based tools for the Mandrill email\
 as a platform service
 
+%description %_description
+
+%package -n python2-mandrill
+Summary: %summary
+Requires:       python-ujson python-docopt python-requests
+%{?python_provide:%python_provide python2-mandrill}
+
+%description -n python2-mandrill %_description
+
 %prep
 %setup -qn %{tarball_name}-%{version}
 rm -fr %{tarball_name}.egg-info
@@ -31,13 +39,17 @@ rm -rf %{buildroot}
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 %{__install} -p -m644 %SOURCE1 LICENSE
 
-%files
+%files -n python2-mandrill
 %{python2_sitelib}/*
 %{_bindir}/mandrill
 %{_bindir}/sendmail.mandrill
 %doc README LICENSE
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.51-9
+- Python 2 subpackage renamed to python2-mandrill
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-markups/python-markups.spec python-markups/python-markups.spec.tmp
index a1d9a10f73..7690d6eaaa 100644
--- python-markups/python-markups.spec
+++ python-markups/python-markups.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-markups
 Version:        2.0.0
-Release:        5%{?dist}
+Release:        6%{?dist}
 License:        BSD
 Summary:        A wrapper around various text markups
 URL:            https://pypi.python.org/pypi/Markups
@@ -18,9 +18,6 @@ BuildRequires:  python-docutils
 BuildRequires:  python-markdown
 BuildRequires:  python-setuptools
 BuildRequires:  python-textile
-Requires:       python-docutils
-Requires:       python-markdown
-Requires:       python-textile
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-docutils
@@ -31,11 +28,22 @@ BuildRequires:  python3-textile
 
 BuildArch:      noarch
 
-%description
-This module provides a Python 2 wrapper around the various text markup
-languages, such as Markdown and reStructuredText (these two are supported
+%global _description\
+This module provides a Python 2 wrapper around the various text markup\
+languages, such as Markdown and reStructuredText (these two are supported\
 by default).
 
+%description %_description
+
+%package -n python2-markups
+Summary: %summary
+Requires:       python-textile
+Requires:       python-markdown
+Requires:       python-docutils
+%{?python_provide:%python_provide python2-markups}
+
+%description -n python2-markups %_description
+
 %if 0%{?with_python3}
 %package -n python3-markups
 Summary:        A wrapper around various text markups
@@ -94,7 +102,7 @@ popd
 #%%endif # with_python3
 
 
-%files
+%files -n python2-markups
 %doc changelog README.rst
 %license LICENSE
 %{python2_sitelib}/*
@@ -107,6 +115,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-6
+- Python 2 subpackage renamed to python2-markups
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-martian/python-martian.spec python-martian/python-martian.spec.tmp
index d3dadc8afc..a6c9d88d01 100644
--- python-martian/python-martian.spec
+++ python-martian/python-martian.spec.tmp
@@ -1,7 +1,7 @@
 %global pkgname martian
 Name: python-martian
 Version: 0.14
-Release: 8%{?dist}
+Release: 9%{?dist}
 Summary: A library to grok configuration from Python code
 Group: Development/Libraries
 License: ZPLv2.1
@@ -11,14 +11,22 @@ BuildArch: noarch
 BuildRequires: python2-devel
 BuildRequires: python-zope-interface
 BuildRequires: python-setuptools
-Requires: python-zope-interface
 
-%description
-A library that allows the embedding of configuration information in
-Python code. Martian can then grok the system and do the appropriate
-configuration registrations. One example of a system that uses Martian
+%global _description\
+A library that allows the embedding of configuration information in\
+Python code. Martian can then grok the system and do the appropriate\
+configuration registrations. One example of a system that uses Martian\
 is the system where it originated: Grok
 
+%description %_description
+
+%package -n python2-martian
+Summary: %summary
+Requires: python-zope-interface
+%{?python_provide:%python_provide python2-martian}
+
+%description -n python2-martian %_description
+
 %prep
 %setup -q -n %{pkgname}-%{version}
 rm -rf %{pkgname}.egg-info
@@ -36,12 +44,16 @@ rm -rf %{pkgname}.egg-info
 #    from martian.testing import FakeModule
 #ImportError: No module named martian.testing
 
-%files
+%files -n python2-martian
 %doc CHANGES.txt COPYRIGHT.txt CREDITS.txt LICENSE.txt README.txt PKG-INFO
 %{python_sitelib}/%{pkgname}
 %{python_sitelib}/%{pkgname}-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.14-9
+- Python 2 subpackage renamed to python2-martian
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mecab/python-mecab.spec python-mecab/python-mecab.spec.tmp
index e578afa4e5..b4e40269f6 100644
--- python-mecab/python-mecab.spec
+++ python-mecab/python-mecab.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:		python-mecab
 Version:	%{mainver}
-Release:	%{?betaver:0.}%{relnumber}%{?betaver:.%betaver}%{?dist}.9
+Release:	%{?betaver:0.}%{relnumber}%{?betaver:.%betaver}%{?dist}.10
 Summary:	Python binding for MeCab
 
 Group:		Applications/Text
@@ -22,10 +22,17 @@ BuildRequires:	python-devel
 # %%check
 BuildRequires:	mecab-jumandic
 
+%global _description\
+%{summary}.
+
+%description %_description
+
+%package -n python2-mecab
+Summary: %summary
 Requires:	mecab = %{version}
+%{?python_provide:%python_provide python2-mecab}
 
-%description
-%{summary}.
+%description -n python2-mecab %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}%{?betaver}
@@ -42,7 +49,7 @@ export CXXFLAGS=$RPM_OPT_FLAGS
 PYTHONPATH=$RPM_BUILD_ROOT%{python_sitearch} %{__python} test.py
 cd ..
 
-%files
+%files -n python2-mecab
 %defattr(-,root,root,-)
 %doc bindings.html
 %doc AUTHORS COPYING BSD GPL LGPL
@@ -53,6 +60,10 @@ cd ..
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.996-1.10
+- Python 2 subpackage renamed to python2-mecab
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.996-1.9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-meh/python-meh.spec python-meh/python-meh.spec.tmp
index 2f1f6d0f4c..2cf8da5852 100644
--- python-meh/python-meh.spec
+++ python-meh/python-meh.spec.tmp
@@ -7,7 +7,7 @@ Summary:  A python library for handling exceptions
 Name: python-meh
 Url: https://github.com/rhinstaller/python-meh
 Version: 0.44
-Release: 5%{?dist}
+Release: 6%{?dist}
 # This is a Red Hat maintained package which is specific to
 # our distribution.  Thus the source is only available from
 # within this srpm.
@@ -38,16 +38,23 @@ BuildRequires: libreport-python3 >= %{libreportver}
 BuildRequires: python3-six
 %endif
 
-Requires: python
-Requires: dbus-python
-Requires: rpm-python
-Requires: libreport-cli >= %{libreportver}
-Requires: libreport-python >= %{libreportver}
+%global _description\
+The python-meh package is a python library for handling, saving, and reporting\
+exceptions.
+
+%description %_description
+
+%package -n python2-meh
+Summary: %summary
 Requires: python-six
+Requires: libreport-python >= %{libreportver}
+Requires: libreport-cli >= %{libreportver}
+Requires: rpm-python
+Requires: dbus-python
+Requires: python
+%{?python_provide:%python_provide python2-meh}
 
-%description
-The python-meh package is a python library for handling, saving, and reporting
-exceptions.
+%description -n python2-meh %_description
 
 %package gui
 Summary: Graphical user interface for the python-meh library
@@ -126,7 +133,7 @@ popd
 %clean
 rm -rf %{buildroot}
 
-%files -f %{name}.lang
+%files -n python2-meh -f %{name}.lang
 %defattr(-,root,root,-)
 %doc ChangeLog COPYING
 %{python_sitelib}/*
@@ -146,6 +153,10 @@ rm -rf %{buildroot}
 %{_datadir}/python-meh
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.44-6
+- Python 2 subpackage renamed to python2-meh
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-meliae/python-meliae.spec python-meliae/python-meliae.spec.tmp
index 8ee57ec608..3e018e9c50 100644
--- python-meliae/python-meliae.spec
+++ python-meliae/python-meliae.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-meliae
 Version:        0.4.0
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Python memory usage statistics
 
 Group:          Development/Languages
@@ -15,12 +15,20 @@ BuildRequires:  python-devel
 BuildRequires:  Cython
 BuildRequires:  python-simplejson
 
-%description
-"meliae" provides a way to dump python memory usage information to a JSON disk
-format, which can then be parsed into useful things like graph representations.
-
+%global _description\
+"meliae" provides a way to dump python memory usage information to a JSON disk\
+format, which can then be parsed into useful things like graph representations.\
+\
 The name is simply a fun word (means Ash-wood Nymph).
 
+%description %_description
+
+%package -n python2-meliae
+Summary: %summary
+%{?python_provide:%python_provide python2-meliae}
+
+%description -n python2-meliae %_description
+
 %prep
 %setup -q -n meliae-%{version}
 
@@ -46,7 +54,7 @@ rm -rf $RPM_BUILD_ROOT
 cp $RPM_BUILD_ROOT/%{python_sitearch}/meliae/*.so meliae
 %{__python} run_tests.py --verbose
 
-%files
+%files -n python2-meliae
 %defattr(-,root,root,-)
 %doc CHANGES.txt COPYING.txt README.txt TODO.txt
 %{_bindir}/strip_duplicates.py
@@ -55,6 +63,10 @@ cp $RPM_BUILD_ROOT/%{python_sitearch}/meliae/*.so meliae
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.0-13
+- Python 2 subpackage renamed to python2-meliae
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-memcached/python-memcached.spec python-memcached/python-memcached.spec.tmp
index a1df3a16db..6724cbbe08 100644
--- python-memcached/python-memcached.spec
+++ python-memcached/python-memcached.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-memcached
 Version:        1.54
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        A Python memcached client library
 
 License:        Python
@@ -12,12 +12,20 @@ BuildRequires:  python2-devel, python-setuptools, python-six
 # Required for running test suite
 BuildRequires:  memcached
 
-%description
-This software is a 100% Python interface to the memcached memory cache
-daemon.  It is the client side software which allows storing values in one
-or more, possibly remote, memcached servers.  Search google for memcached
+%global _description\
+This software is a 100% Python interface to the memcached memory cache\
+daemon.  It is the client side software which allows storing values in one\
+or more, possibly remote, memcached servers.  Search google for memcached\
 for more information.
 
+%description %_description
+
+%package -n python2-memcached
+Summary: %summary
+%{?python_provide:%python_provide python2-memcached}
+
+%description -n python2-memcached %_description
+
 %prep
 %setup -q -n %{name}-%{version}
 
@@ -36,13 +44,17 @@ pidfile=$(mktemp)
 kill $(cat $pidfile)
 popd
 
-%files
+%files -n python2-memcached
 %doc ChangeLog README.md
 %attr(755,root,root) %{python2_sitelib}/memcache.py
 %{python2_sitelib}/memcache.py[co]
 %{python2_sitelib}/python_memcached-%{version}-py*.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.54-7
+- Python 2 subpackage renamed to python2-memcached
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.54-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mglob/python-mglob.spec python-mglob/python-mglob.spec.tmp
index 0e8d553e19..6b0e2c7f8e 100644
--- python-mglob/python-mglob.spec
+++ python-mglob/python-mglob.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-mglob
 Version:        0.4
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        Enhanced file name globbing module
 
 Group:          Development/Libraries
@@ -29,11 +29,19 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
-library for own python programs.
+%global _description\
+Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing\
+library for own python programs.\
 Some enhanced features are recursion, exclusion, and directory omission.
 
+%description %_description
+
+%package -n python2-mglob
+Summary: %summary
+%{?python_provide:%python_provide python2-mglob}
+
+%description -n python2-mglob %_description
+
 %if 0%{?with_python3}
 %package -n python3-mglob
 Summary:        Enhanced file name globbing module
@@ -88,7 +96,7 @@ popd
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-mglob
 %defattr(-,root,root,-)
 # upstream has no docs
 %doc
@@ -108,6 +116,10 @@ rm -rf %{buildroot}
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-19
+- Python 2 subpackage renamed to python2-mglob
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-migrate/python-migrate.spec python-migrate/python-migrate.spec.tmp
index e4298aa059..0f2b2bcd6d 100644
--- python-migrate/python-migrate.spec
+++ python-migrate/python-migrate.spec.tmp
@@ -8,7 +8,7 @@
 
 Name: python-migrate
 Version: 0.11.0
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Schema migration tools for SQLAlchemy
 
 License: MIT
@@ -33,23 +33,30 @@ BuildRequires: python-sqlparse
 BuildRequires: python-scripttest
 BuildRequires: python-testtools
 
-Requires: python-sqlalchemy >= 0.7.8
-Requires: python-setuptools
-Requires: python-decorator
-Requires: python-tempita >= 0.4
-Requires: python-six >= 1.9.0
-Requires: python-sqlparse
-
 %if 0%{?rhel} && 0%{?rhel} < 7
 BuildRequires: python-unittest2
 %endif
 
-%description
-Schema migration tools for SQLAlchemy designed to support an agile approach
-to database design and make it easier to keep development and production
-databases in sync as schema changes are required.  It allows you to manage
+%global _description\
+Schema migration tools for SQLAlchemy designed to support an agile approach\
+to database design and make it easier to keep development and production\
+databases in sync as schema changes are required.  It allows you to manage\
 database change sets and database repository versioning.
 
+%description %_description
+
+%package -n python2-migrate
+Summary: %summary
+Requires: python-sqlparse
+Requires: python-six >= 1.9.0
+Requires: python-tempita >= 0.4
+Requires: python-decorator
+Requires: python-setuptools
+Requires: python-sqlalchemy >= 0.7.8
+%{?python_provide:%python_provide python2-migrate}
+
+%description -n python2-migrate %_description
+
 %if 0%{?with_python3}
 %package -n     python3-migrate
 Summary: Schema migration tools for SQLAlchemy
@@ -127,7 +134,7 @@ echo 'sqlite:///__tmp__' > test_db.cfg
 # Disable temporarily until tests are adjusted to support testtools >= 0.9.36
 #nosetests
 
-%files
+%files -n python2-migrate
 %doc README.rst doc/
 %{_bindir}/sqlalchemy-migrate
 %{_bindir}/sqlalchemy-migrate-repository
@@ -146,6 +153,10 @@ echo 'sqlite:///__tmp__' > test_db.cfg
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11.0-3
+- Python 2 subpackage renamed to python2-migrate
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mistune/python-mistune.spec python-mistune/python-mistune.spec.tmp
index 2c23a8cfbd..50638cd94c 100644
--- python-mistune/python-mistune.spec
+++ python-mistune/python-mistune.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-mistune
 Version:        0.7.3
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Markdown parser for Python 
 
 License:        BSD
@@ -21,9 +21,17 @@ BuildRequires:  python3-nose
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-The fastest markdown parser in pure Python, inspired by marked.
+%global _description\
+The fastest markdown parser in pure Python, inspired by marked.\
+
+
+%description %_description
 
+%package -n python2-%{upname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{upname}}
+
+%description -n python2-%{upname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{upname}
@@ -77,7 +85,7 @@ popd
 
 %{__python2} setup.py test
 
-%files
+%files -n python2-%{upname}
 %doc LICENSE README.rst
 # For arch-specific packages: sitearch
 %{python2_sitearch}/%{upname}.*
@@ -92,6 +100,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.3-6
+- Python 2 subpackage renamed to python2-mistune
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-moksha-common/python-moksha-common.spec python-moksha-common/python-moksha-common.spec.tmp
index d9b5ea4855..a7d480ad30 100644
--- python-moksha-common/python-moksha-common.spec
+++ python-moksha-common/python-moksha-common.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-moksha-common
 Version:        1.2.5
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Common components for Moksha
 
 Group:          Development/Libraries
@@ -42,17 +42,24 @@ BuildRequires:  python3-pytz
 BuildRequires:  python3-six
 %endif
 
-Requires:       python-decorator
-Requires:       python-kitchen
-Requires:       pytz
-Requires:       python-six
-
 # Its a whole different package now
-Conflicts:      moksha < 1.0.0
 
-%description
+%global _description\
 Common components for Moksha.
 
+%description %_description
+
+%package -n python2-moksha-common
+Summary: %summary
+Conflicts:      moksha < 1.0.0
+Requires:       python-six
+Requires:       pytz
+Requires:       python-kitchen
+Requires:       python-decorator
+%{?python_provide:%python_provide python2-moksha-common}
+
+%description -n python2-moksha-common %_description
+
 %if 0%{?with_python3}
 %package -n python3-moksha-common
 Summary:        Common components for Moksha
@@ -110,7 +117,7 @@ popd
 
 %{__python2} setup.py test
 
-%files
+%files -n python2-moksha-common
 %doc README COPYING AUTHORS
 %{python_sitelib}/moksha/
 %{python_sitelib}/%{modname}-%{version}*
@@ -127,6 +134,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.5-4
+- Python 2 subpackage renamed to python2-moksha-common
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-moksha-hub/python-moksha-hub.spec python-moksha-hub/python-moksha-hub.spec.tmp
index b278a3f16b..9f311ff63e 100644
--- python-moksha-hub/python-moksha-hub.spec
+++ python-moksha-hub/python-moksha-hub.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-moksha-hub
 Version:        1.5.3
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Hub components for Moksha
 
 License:        ASL 2.0
@@ -52,24 +52,31 @@ BuildRequires:  python3-six
 BuildRequires:  python3-websocket-client
 %endif
 
-Requires:       python-moksha-common >= 1.0.6
-Requires:       python-twisted-core
-Requires:       python-stomper
-Requires:       python-txzmq
-Requires:       python-txws
-Requires:       python-daemon
-Requires:       python-six
-
 # When installed, these enable new plugins for the moksha.hub
 #BuildRequires:  python-qpid
 #Requires:       python-qpid
 
 # Its a whole different package now.
-Conflicts:      moksha < 1.0.0
 
-%description
-Hub components for Moksha.
+%global _description\
+Hub components for Moksha.\
+
 
+%description %_description
+
+%package -n python2-moksha-hub
+Summary: %summary
+Conflicts:      moksha < 1.0.0
+Requires:       python-six
+Requires:       python-daemon
+Requires:       python-txws
+Requires:       python-txzmq
+Requires:       python-stomper
+Requires:       python-twisted-core
+Requires:       python-moksha-common >= 1.0.6
+%{?python_provide:%python_provide python2-moksha-hub}
+
+%description -n python2-moksha-hub %_description
 
 %if 0%{?with_python3}
 %package -n python3-moksha-hub
@@ -136,7 +143,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-moksha-hub
 %doc README COPYING AUTHORS
 %{python2_sitelib}/moksha/hub/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -152,6 +159,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.3-4
+- Python 2 subpackage renamed to python2-moksha-hub
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-moksha-wsgi/python-moksha-wsgi.spec python-moksha-wsgi/python-moksha-wsgi.spec.tmp
index b25456bef1..af7b63b05e 100644
--- python-moksha-wsgi/python-moksha-wsgi.spec
+++ python-moksha-wsgi/python-moksha-wsgi.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-moksha-wsgi
 Version:        1.2.4
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        WSGI components for Moksha
 
 Group:          Development/Libraries
@@ -32,25 +32,32 @@ BuildRequires:  python-paste
 BuildRequires:  python-paste-script
 BuildRequires:  python-pygments
 
-Requires:       python-moksha-common >= 1.0.6
-Requires:       python-tw2-core
-Requires:       python-tw2-forms
-Requires:       python-tw2-jquery
-Requires:       python-tw2-jqplugins-ui
-Requires:       python-tw2-jqplugins-flot
-Requires:       python-tw2-jqplugins-gritter
-Requires:       python-tw2-jit
-Requires:       python-tw2-excanvas
-Requires:       python-paste
-Requires:       python-paste-script
-Requires:       python-pygments
-
 # Its a whole different package now
-Conflicts:      moksha < 1.0.0
 
-%description
+%global _description\
 WSGI components for Moksha.
 
+%description %_description
+
+%package -n python2-moksha-wsgi
+Summary: %summary
+Conflicts:      moksha < 1.0.0
+Requires:       python-pygments
+Requires:       python-paste-script
+Requires:       python-paste
+Requires:       python-tw2-excanvas
+Requires:       python-tw2-jit
+Requires:       python-tw2-jqplugins-gritter
+Requires:       python-tw2-jqplugins-flot
+Requires:       python-tw2-jqplugins-ui
+Requires:       python-tw2-jquery
+Requires:       python-tw2-forms
+Requires:       python-tw2-core
+Requires:       python-moksha-common >= 1.0.6
+%{?python_provide:%python_provide python2-moksha-wsgi}
+
+%description -n python2-moksha-wsgi %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -68,12 +75,16 @@ CFLAGS="%{optflags}" %{__python} setup.py build
 # hand.  This test is disabled until we can figure that out.
 #%%{__python} setup.py test
 
-%files
+%files -n python2-moksha-wsgi
 %doc README AUTHORS COPYING
 %{python_sitelib}/moksha/wsgi/
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.4-6
+- Python 2 subpackage renamed to python2-moksha-wsgi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
